<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\ShowFilter;

class ShowFilterController extends \Kufer\Web\KuferTools\Basis\Raumbelegung\RaumUebersichtFilter\RaumUebersichtFilterController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowFilterUseCase($this->getRequestObj());
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowFilterPresenter($pUseCaseResponse);
  }
}